Subject: bug#21456: 24.5; Emacs does not respect fcitx as GTK input method

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 12:04:37 +0100

Zachary Acreman <[email-masked]> writes:

> Emacs compiled with GTK does not respect fcitx as the system-wide GTK
> input method.
>
> When I use a keyboard configuration with right-alt mapped to Compose, I
> get "<Multi-key> is undefined" messages in Emacs instead of the expected
> behavior.
>
> When I use a keyboard configuration with dead keys for accented
> characters, I get messages like "<dead-acute> is undefined" instead of
> the expected behavior.
>
> Chinese Pinyin input methods are ignored.
>
> XMODIFIERS=@im=fcitx
> GTK_IM_MODULE=fcitx
>
> fcitx input works correctly in every other application on this system
> that I have tested.

(This bug report unfortunately got no response at the time.)

Do you have a recipe, starting from "emacs -Q", to reproduce this issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no